Download it now!
Bug 60691 - add emacs + vim modelines to all .src and .hrc files
Summary: add emacs + vim modelines to all .src and .hrc files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: mhofmann
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillScript, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-02-11 20:39 UTC by Michael Meeks
Modified: 2015-12-15 23:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-02-11 20:39:28 UTC
We added modelines to most files in git, but the .src and .hrc files eluded us (for the most part). We should add the same mode-lines we use for C++ to top and bottom of each of those files. The tool to use is here:

solenv/bin/add-modelines

Thanks ! :-)
Comment 1 mhofmann 2013-03-03 19:03:10 UTC
pushed proposed changes to logerrit
Comment 2 Commit Notification 2013-03-08 21:13:41 UTC
Borim committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0296296fb121ecab53cee39658fc2f8ce27a782

fdo#60691 add modelines to *.src and *.hrc files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Robinson Tryon (qubit) 2015-12-15 23:21:07 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillScript,TopicCleanup )
[NinjaEdit]